> ## Documentation Index
> Fetch the complete documentation index at: https://cantonfoundation-update-ref-tables.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# GET /v0/internal/reward-accounting-process/rounds/:round_number/root-hash

> SV node internal API (CIP-0104, subject to change).
Returns the root hash computed for the specified round.




## OpenAPI

````yaml /openapi/splice/scan/scan.yaml get /v0/internal/reward-accounting-process/rounds/{round_number}/root-hash
openapi: 3.0.0
info:
  title: Scan API
  version: 0.0.1
servers:
  - url: https://scan.sv-1.global.canton.network.sync.global/api/scan
security: []
tags:
  - name: external
    description: >
      These endpoints are intended for public usage and will remain
      backward-compatible.
  - name: internal
    description: >
      For internal usage only, not guaranteed to be stable or
      backward-compatible.
  - name: deprecated
    description: |
      These endpoints are deprecated and will be removed in a future release.
  - name: scan
    description: |
      The internal and external endpoints.
  - name: pre-alpha
    description: |
      Still under active development, highly unstable. Do not use in production.
paths:
  /v0/internal/reward-accounting-process/rounds/{round_number}/root-hash:
    get:
      tags:
        - internal
        - scan
      summary: >-
        GET
        /v0/internal/reward-accounting-process/rounds/:round_number/root-hash
      description: |
        SV node internal API (CIP-0104, subject to change).
        Returns the root hash computed for the specified round.
      operationId: getRewardAccountingRootHash
      parameters:
        - name: round_number
          in: path
          required: true
          schema:
            type: integer
            format: int64
      responses:
        '200':
          description: ok
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GetRewardAccountingRootHashResponse'
components:
  schemas:
    GetRewardAccountingRootHashResponse:
      type: object
      oneOf:
        - $ref: '#/components/schemas/RewardAccountingRootHashOk'
        - $ref: '#/components/schemas/RewardAccountingRootHashUndetermined'
        - $ref: '#/components/schemas/RewardAccountingRootHashCannotProvide'
      discriminator:
        propertyName: status
        mapping:
          Ok:
            $ref: '#/components/schemas/RewardAccountingRootHashOk'
          Undetermined:
            $ref: '#/components/schemas/RewardAccountingRootHashUndetermined'
          CannotProvide:
            $ref: '#/components/schemas/RewardAccountingRootHashCannotProvide'
    RewardAccountingRootHashOk:
      type: object
      required:
        - status
        - round_number
        - root_hash
      properties:
        status:
          type: string
        round_number:
          type: integer
          format: int64
        root_hash:
          type: string
          description: Hex-encoded root hash
    RewardAccountingRootHashUndetermined:
      type: object
      required:
        - status
      properties:
        status:
          type: string
    RewardAccountingRootHashCannotProvide:
      type: object
      required:
        - status
      properties:
        status:
          type: string

````